%
%  circular_plate_mdens.m  ver 1.1  by Tom Irvine
%

function[mph]=circular_plate_mdens(radius,thick,md,em,mu,f)

a=radius;


k=thick^2/(12*(1-mu^2));

k=sqrt(k);

CL=sqrt(em/md);

mpv=2*a/(pi^2*k);

mprad=mpv*a/CL;

mph=2*pi*mprad*ones(length(f),1);